Netskope LogoNetskope Logo
  • Security Services
  • AI Services
  • Networking Services
  • Analytics Services
  • Integrations
  • getting-started.svgGetting Started
    • Support
    • Community
    • Netskope.com
    © 2026 All Rights Reserved. Netskope Inc.
    Home
    Data Loss Prevention
    Data Loss Prevention On Demand
    Sending Data to DLP On Demand
    Protected: DLP On Demand API
    Get Pending Jobs

    Get Pending Jobs

    This endpoint retrieves the list of pending jobs along with their expiry information. The maximum polling frequency of 299 seconds still holds.

    Request Endpoint

    GET

    https://<appliance_ip>/inspections/jobs/pending

    Call Example

    curl -X 'GET' \
    'https://<appliance_ip>/inspections/jobs/pending' \
    -H 'accept: application/json'

    Response Example

    #200 Response
    [
    {
    "jobid": "b605a1a6-6d76-473c-9fed-bbee568462c2",
    "expiry": 100
    },
    {
    "jobid": "a705b3b6-7dfd-473c-9abc-ccdd568464c4",
    "expiry": 300
    }
    ]
    #404 Response
    string
    #500 Response
    Failed to retrieve the list of pending jobs

    Responses

    StatusMeaningDescriptionSchema
    200OKThe request was successfully completed, and the results are provided as a json array containing the list of pending jobs along with their associated expiry information.Inline
    404Not FoundNot found.string
    500Internal Server ErrorAn error occurred while getting the result. The response contains the error that caused the request to be rejected, if available.string
    503Service UnavailableNo resources are available to perform the request.None

    Response Schema

    Status Code 200

    An array of pending job objects containing job identifier and expiry details.

    NameTypeRequiredRestrictionsDescription
    » jobidstringtruenoneUnique identifier for the pending job.
    » expiryintegertruenoneDuration in seconds until the job expires.
    In this Topic
    • Get Pending Jobs